Bug 112092 - unable to create boot partition successfully.
unable to create boot partition successfully.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-14 09:33 EST by bhaskar12881
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda bug report (43.77 KB, text/plain)
2003-12-14 09:36 EST, bhaskar12881
no flags Details

  None (edit)
Description bhaskar12881 2003-12-14 09:33:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20020830

Description of problem:
Warning about booting constraints of /boot partition during partitioning.

After installation,the system doesnt boot.i used grub as the boot
loader and it gives error no 28:selected item too big to fit in
memory.vmlinuz-2.4.18-14 unable to load the kernel.

However the system does boot using a boot disk.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.select automatic partitioning
2.use existing free space to create partiton
3.select ok
    

Actual Results:  the partitions were created but with warnings 

Expected Results:  no warnings ,partitions created successfully.

Additional info:

i have pasted the text as instructed by the installer during the
installation process. 


Traceback (most recent call last):
  File "/usr/lib/anaconda/iw/partition_gui.py", line 916, in
treeActivateCb
    self.editCb()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1029, in editCb
    self.editPartitionRequest(request)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1092, in
editPartitionRequest
    raise RuntimeError, ("Returning partitions to state "
RuntimeError: Returning partitions to state prior to edit failed

Local variables in innermost frame:
origrequest: New Part Request -- mountpoint: /boot uniqueID: 24
  type: ext3  format: 1  badblocks: None
  device: hda7 drive: ['hda']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
parteditor: <partition_dialog_gui.PartitionEditor instance at 0x869558c>
request: New Part Request -- mountpoint: /boot uniqueID: 24
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: 1
  size: 100  grow: None  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
self: <partition_gui.PartitionWindow instance at 0x889d734>
isNew: 0
Comment 1 bhaskar12881 2003-12-14 09:36:22 EST
Created attachment 96522 [details]
anaconda bug report
Comment 2 Jeremy Katz 2003-12-19 18:03:44 EST
Is this reproducible?
Comment 3 Jeremy Katz 2004-10-04 23:36:22 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.